Skip to main content

Get Contact Task

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

GETghl.get_contact_task

Get a specific task for a contact

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-get-contact-task-example",
"method": "tools/call",
"params": {
"name": "ghl.get_contact_task",
"arguments": {
"contactId": "contactId_123",
"taskId": "taskId_123",
"tenantId": "tenantId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"contactId": {
"type": "string"
},
"taskId": {
"type": "string"
}
},
"required": [
"contactId",
"taskId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-get-contact-task-example",
"method": "tools/call",
"params": {
"name": "ghl.get_contact_task",
"arguments": {
"contactId": "contactId_123",
"taskId": "taskId_123",
"tenantId": "tenantId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.get_contact_task executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}